Preview image
GET
/v1/images/{file}
const url = 'https://api.gampeon.com/v1/images/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/images/exampleOnly delivered while the item has a version that is not blocked.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”file
required
string
<sha256>.<png|jpg|webp>
Responses
Section titled “Responses”The image
Media typeimage/*
string format: binary
Error codes: not_found
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: storage_disabled
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}